Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 478926 - Review Request: globus-gass-copy - Globus Toolkit - Globus Gass Copy
Summary: Review Request: globus-gass-copy - Globus Toolkit - Globus Gass Copy
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: gpt 453848 453851 478921 478922 478923 478925
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-06 01:11 UTC by Mattias Ellert
Modified: 2009-06-18 11:49 UTC (History)
3 users (show)

Fixed In Version: 4.14-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-18 11:38:37 UTC
oget.fedora: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-01-06 01:11:54 UTC
Spec URL: http://www.grid.tsl.uu.se/repos/globus/info/globus-gass-copy.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-gass-copy-4.14-0.3.fc10.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-gass-copy package contains:
Globus Gass Copy

BuildRequires:	grid-packaging-tools
BuildRequires:	globus-ftp-client-devel >= 2
BuildRequires:	globus-common-devel >= 6
BuildRequires:	globus-io-devel >= 3
BuildRequires:	globus-gass-transfer-devel >= 2
BuildRequires:	globus-ftp-control-devel >= 1
BuildRequires:	globus-core-devel >= 4

Based on the globus toolkit 4.2.1 release.

Applied patches submitted upstream:

Fix some doxygen warnings:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6592

Comment 1 Mattias Ellert 2009-03-16 00:02:22 UTC
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-gass-copy-4.14-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-gass-copy.spec

Comment 2 Mattias Ellert 2009-04-17 13:45:21 UTC
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gass-copy-4.14-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gass-copy.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus

Comment 3 Orcan Ogetbil 2009-06-05 03:42:34 UTC
I reviewed this package. There is an rpmlint issue

- koji rawhide build is fine
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1394331

- rpmlints on the RPM's
   globus-gass-copy-devel.x86_64: W: no-documentation
   globus-gass-copy-progs.x86_64: W: no-documentation
can be ignored

* however, when I run rpmlint on the installed package I get these additional rpmlints
   globus-gass-copy.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libglobus_gass_copy.so.2.2.14 /usr/lib64/libglobus_ftp_control.so.1
   globus-gass-copy.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libglobus_gass_copy.so.2.2.14 /usr/lib64/libglobus_gssapi_error.so.2
   [lots of them]
These kind of rpmlints are also present for globus-ftp-client. Sorry for not noticing this before.
Are these fixable?

Comment 4 Mattias Ellert 2009-06-05 04:24:12 UTC
I think this is fixed already. If I download the RPM from your scratch build I get:

[ellert@ellert ~]$ rpm -q --requires -p globus-gass-copy-4.14-1.fc12.x86_64.rpm 
/sbin/ldconfig  
/sbin/ldconfig  
globus-common  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libglobus_common.so.0()(64bit)  
libglobus_ftp_client.so.1()(64bit)  
libglobus_gass_copy.so.2()(64bit)  
libglobus_gass_transfer.so.2()(64bit)  
libglobus_io.so.3()(64bit)  
libpthread.so.0()(64bit)  
libpthread.so.0(GLIBC_2.2.5)(64bit)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  

As you can see it does not list libglobus_ftp_control.so.1 and libglobus_gssapi_error.so.2 that your rpmlint output complains about. So these unused-direct-shlib-dependency issues are not present in this RPM as far as I can see. Also the log says:

/usr/bin/gcc -Wl,--as-needed -shared  .libs/globus_gass_copy.o .libs/globus_gass_copy_glob.o   -L/usr/lib64 -lglobus_ftp_client -lglobus_gass_transfer -lglobus_ftp_control -lglobus_io -lglobus_gssapi_error -lglobus_gss_assist -lglobus_gssapi_gsi -lglobus_gsi_proxy_core -lglobus_gsi_credential -lglobus_gsi_callback -lglobus_oldgaa -lglobus_gsi_sysconfig -lglobus_gsi_cert_utils -lglobus_openssl -lglobus_xio -lglobus_openssl_error -lglobus_callout -lglobus_proxy_ssl -lglobus_common -lm -lssl -lcrypto -ldl -lz -lltdl -lpthread  -m64 -mtune=generic -m64 -m64   -Wl,-soname -Wl,libglobus_gass_copy.so.2 -o .libs/libglobus_gass_copy.so.2.2.14

The -Wl,--as-needed should fix this - and it looks as it does.

If I run rpmlint on the installed packages here I get no warnings:

[ellert@ellert ~]$ rpmlint globus-ftp-client
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ellert@ellert ~]$ rpmlint globus-gass-copy
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 5 Orcan Ogetbil 2009-06-05 05:31:02 UTC
Ahh, sorry. I just installed F-11 and my mock configuration wasn't picking up the new globus-core build from updates. I was building against the oldest one. So there are no issues anywhere except in my mock configuration.

---------------------------------------------------
This package (globus-gass-copy) is APPROVED by oget
---------------------------------------------------

Comment 6 Mattias Ellert 2009-06-05 06:25:09 UTC
Thank you for the review.

New Package CVS Request
=======================
Package Name: globus-gass-copy
Short Description: Globus Toolkit - Globus Gass Copy
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:

Comment 7 Jason Tibbitts 2009-06-05 21:38:09 UTC
CVS done.

Comment 8 Fedora Update System 2009-06-14 20:07:14 UTC
globus-gass-copy-4.14-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-gass-copy-4.14-1.fc10

Comment 9 Fedora Update System 2009-06-14 20:07:19 UTC
globus-gass-copy-4.14-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gass-copy-4.14-1.fc11

Comment 10 Fedora Update System 2009-06-14 20:07:24 UTC
globus-gass-copy-4.14-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-gass-copy-4.14-1.fc9

Comment 11 Fedora Update System 2009-06-18 11:38:32 UTC
globus-gass-copy-4.14-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-06-18 11:43:56 UTC
globus-gass-copy-4.14-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-06-18 11:49:28 UTC
globus-gass-copy-4.14-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.